
%global meadversion 3.5.5
%global namedversion 3.5.5.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 4
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package %{?scl_prefix}liquibase}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.5.5.redhat-1

Name:           %{?scl_prefix}liquibase
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Liquibase Parent Configuration
Group:          Development/Java

%if %with mead
Source100: liquibase-parent-3.5.5.redhat-1-project-sources.tar.gz
Source102: liquibase-parent-3.5.5.redhat-1.pom
Source103: liquibase-core-3.5.5.redhat-1.pom
Source104: liquibase-cdi-3.5.5.redhat-1-sources.jar
Source105: liquibase-cdi-3.5.5.redhat-1.pom
Source106: liquibase-core-3.5.5.redhat-1-bin.tar.gz
Source107: liquibase-core-3.5.5.redhat-1.jar
Source108: liquibase-maven-plugin-3.5.5.redhat-1.jar
Source109: liquibase-core-3.5.5.redhat-1-bin.zip
Source110: liquibase-core-3.5.5.redhat-1-tests.jar
Source111: liquibase-maven-plugin-3.5.5.redhat-1.pom
Source112: liquibase-core-3.5.5.redhat-1-sources.jar
Source113: liquibase-cdi-3.5.5.redhat-1.jar
%endif

License:        ASL 2.0
URL:            http://www.liquibase.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Liquibase is a tool for managing and executing database changes.

%package -n %{?scl_prefix}liquibase-core
Summary:        Liquibase Core
Group:          Development/Java


%description -n %{?scl_prefix}liquibase-core
%{summary}.

%package -n %{?scl_prefix}liquibase-maven-plugin
Summary:        Liquibase Maven Plugin
Group:          Development/Java

Requires:       %{?scl_prefix}liquibase-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}liquibase-maven-plugin
A Maven plugin wraps up some of the functionality of Liquibase.

%package -n %{?scl_prefix}liquibase-cdi
Summary:        Liquibase CDI
Group:          Development/Java

Requires:       %{?scl_prefix}liquibase-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}liquibase-cdi
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for liquibase
Group:          Development/Java

BuildRequires:  unzip
BuildRequires:  tar

%description javadoc
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/liquibase-core-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/liquibase-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/liquibase-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/liquibase-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/liquibase-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/liquibase-maven-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-maven-plugin-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/liquibase-cdi-%{namedversion}.jar %{buildroot}%{_javadir}/liquibase-cdi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/liquibase-cdi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/liquibase-cdi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/liquibase-cdi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/liquibase-cdi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)
# get %doc files
tar xvfz %{_sourcedir}/liquibase-parent-%{namedversion}-project-sources.tar.gz --strip-components=1 liquibase-parent-%{namedversion}/changelog.txt liquibase-parent-%{namedversion}/LICENSE.txt liquibase-parent-%{namedversion}/RELEASING.txt

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/liquibase-%{namedversion}
unzip -qq %{_sourcedir}/liquibase-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/liquibase-%{namedversion} -x META-INF/\*
%{__ln_s} liquibase-%{namedversion} %{buildroot}%{_javadocdir}/liquibase
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}liquibase
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}liquibase-core
%defattr(0644,root,root,0755)
%doc changelog.txt LICENSE.txt RELEASING.txt
%{_javadir}/liquibase-core-%{namedversion}.jar
%{_javadir}/liquibase-core.jar
%if %with javadoc
%{_javadir}/liquibase-core-%{namedversion}-javadoc.jar
%{_javadir}/liquibase-core-javadoc.jar
%endif
%{_javadir}/liquibase-core-%{namedversion}-sources.jar
%{_javadir}/liquibase-core-sources.jar
%if %with tests
%{_javadir}/liquibase-core-%{namedversion}-tests.jar
%{_javadir}/liquibase-core-tests.jar
%endif

%files -n %{?scl_prefix}liquibase-maven-plugin
%defattr(0644,root,root,0755)
%{_javadir}/liquibase-maven-plugin-%{namedversion}.jar
%{_javadir}/liquibase-maven-plugin.jar

%files -n %{?scl_prefix}liquibase-cdi
%defattr(0644,root,root,0755)
%{_javadir}/liquibase-cdi-%{namedversion}.jar
%{_javadir}/liquibase-cdi.jar
%if %with javadoc
%{_javadir}/liquibase-cdi-%{namedversion}-javadoc.jar
%{_javadir}/liquibase-cdi-javadoc.jar
%endif
%{_javadir}/liquibase-cdi-%{namedversion}-sources.jar
%{_javadir}/liquibase-cdi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/liquibase-%{namedversion}
%{_javadocdir}/liquibase
%endif

%changelog
* Thu Dec 06 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-4.redhat_1.1
- missing SCL environment - rebuild

* Thu Dec 06 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-3.redhat_1.1
- rebuild after another tag fix

* Thu Dec 06 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-2.redhat_1.1
- rebuild after tag for el6 has been fixed

* Wed Dec 05 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-1.redhat_1.1
- removed rest of not anymore produced subpackages

* Wed Dec 05 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-1.redhat_1.1
- removed liquibase-rpm subpackage - build

* Wed Dec 05 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-1.redhat_1.1
- removed non-existent liquibase-osgi module - build

* Wed Dec 05 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-1.redhat_1.1
- fixed setup and %doc files - build

* Wed Dec 05 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-1.redhat_1.1
- component of rh-sso 7.3.0

* Mon Dec 03 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-1.redhat_1.1
- component for rh-sso 7.3.0 release

* Mon Dec 03 2018 Peter Skopek <pskopek@redhat.com> - 3.5.5-1.redhat_1.1
- component for rh-sso 7.3.0 release

* Mon Dec 03 2018 Peter Skopek <pskopek@redhat.com> - 3.4.1-3.redhat_2.1
- component of rh-sso 7.3.0 release

* Mon Sep 19 2016 David Walluck <dwalluck@redhat.com> - 3.4.1-2.redhat_2.1
- do not include tests jars or integration-tests package

* Mon Sep 19 2016 David Walluck <dwalluck@redhat.com> - 3.4.1-2.redhat_2.1
- do not include tests jars or integration-tests package

* Fri Apr 08 2016 David Walluck <dwalluck@redhat.com> - 3.4.1-1.redhat_2.1
- release

